Subject: Re: [PATCH v12 18/26] stash: convert push to builtin

From: Thomas Gummerer <[email-masked]>
Date: Sun, 10 Feb 2019 22:17:12 +0000

On 02/08, SZEDER Gábor wrote:
> On Thu, Dec 20, 2018 at 09:44:34PM +0200, Paul-Sebastian Ungureanu wrote:
> > Add stash push to the helper.
> > 
> > Signed-off-by: Paul-Sebastian Ungureanu <[email-masked]>
> 
> This patch causes rare failures in 't3903-stash.sh', I've seen it
> break for the first time today in a Travis CI build:

Thanks for reporting this.  I was going to take a look at it, but
unfortunately I can't seem to reproduce the issue even with --stress
(I let it run for ~1000 repetitions and then aborted it).

Which platform did you see/test this on, and which compile options did
you use?  I went through a failures on
https://travis-ci.org/git/git/builds, but couldn't find this
particular one.  Could you point me at the failed run?

>   +echo bar3
>   +echo bar4
>   +git add file2
>   +git stash -k
>   Saved working directory and index state WIP on stashbranch: d3a23d9 alternate second
>   +cat file
>   +cat file2
>   +test bar,bar4 = bar,bar2
>   error: last command exited with $?=1
>   not ok 20 - stash -k
> 
> Steps to reproduce:
> 
>   $ git checkout -f fa38428f76
>   HEAD is now at fa38428f76 stash: convert push to builtin
>   
>   # fb7d1e3ac8 (test-lib: add the '--stress' option to run a test
>   # repeatedly under load, 2019-01-05)
>   $ git merge --no-commit fb7d1e3ac8
>   Automatic merge went well; stopped before committing as requested
>   $ make && cd t
>   <snip>
>   $ ./t3903-stash.sh --stress -r 1,13,14,20
>   # wait, it tends to fail in <30 repetitions
> 
> I run stress testing on its parent for over 800 repetitions, no sign
> of failure yet.